Package org.opensaml.soap.soap11

# Interface Envelope

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `SOAPObject`, `XMLObject`

All Known Implementing Classes:
  `EnvelopeImpl`

public interface Envelope extends SOAPObject, ElementExtensibleXMLObject, AttributeExtensibleXMLObject
SOAP 1.1 Envelope.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Body`
`getBody()`
Gets the body of this envelope.
`Header`
`getHeader()`
Gets the header of this envelope.
`void`
`setBody(Body newBody)`
Sets the body of this envelope.
`void`
`setHeader(Header newHeader)`
Sets the header of this envelope.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getHeader

@Nullable Header getHeader()
Gets the header of this envelope.

Returns:
  the header of this envelope

### setHeader

void setHeader(@Nullable Header newHeader)
Sets the header of this envelope.

Parameters:
  `newHeader` - the header of this envelope

### getBody

@Nullable Body getBody()
Gets the body of this envelope.

Returns:
  the body of this envelope

### setBody

void setBody(@Nullable Body newBody)
Sets the body of this envelope.

Parameters:
  `newBody` - the body of this envelope